SPA User
SPA Me - Change password
Changes the password for the current user.
POST
/api/spa/me/change-passwordAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new SpaMe resource
{
"id": 1,
"email": "user@example.com",
"roles": [
"ROLE_USER",
"ROLE_ADMIN"
],
"locale": "en",
"clientId": 1,
"subClientId": null,
"clientIdentifier": "my-client",
"subClientDescription": null,
"isSubClientsEnabled": true,
"isArchiveEnabled": true,
"isDelegated": false,
"delegationId": "f53f4d5f-3216-486f-b1f1-3fc2a8e46020",
"actorEmail": "john.doe@output.rocks",
"actorName": "John Doe",
"effectiveEmail": "bayernwerk@output.rocks",
"currentPassword": "currentPassword123",
"newPassword": "newSecurePassword456",
"success": true,
"message": "Password changed successfully",
"activeSessions": 3
}Response
201
SpaMe resource created
id
integer
User ID
email
string
User email
roles
string[]
User roles
locale
string
User locale
clientId
integer
Client ID
subClientId
integer
Sub-client ID
clientIdentifier
string
Client identifier
subClientDescription
string
Sub-client identifier
isSubClientsEnabled
boolean
Whether the sub-clients (environmental tenants) module is enabled for the client
isArchiveEnabled
boolean
Whether the archive module is enabled for the client
isDelegated
boolean
Whether user is currently in a delegated auth session
delegationId
string
Delegated auth session ID
actorEmail
string
Delegating actor email when delegated session is active
actorName
string
Delegating actor name when delegated session is active
effectiveEmail
string
Effective user email used for authorization
currentPassword
string
Current password
newPassword
string
New password
success
boolean
Success status
message
string
Status message
activeSessions
integer
Number of active sessions